com.jscape.inet.mft.management.descriptors

## Class FtpServiceDescriptor

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.ServiceDescriptor
    - - com.jscape.inet.mft.management.descriptors.TransportServiceDescriptor
      - - com.jscape.inet.mft.management.descriptors.FtpServiceDescriptor

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class FtpServiceDescriptor
      extends TransportServiceDescriptor

  FTP service descriptor. The service described by this descriptor takes responsibility for providing FTP server access.
  Author:
    Alex Usun
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FtpServiceDescriptor.ServiceType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_PORT`
    `static java.util.Map<java.lang.String,java.lang.Integer>` | `DEFAULT_PORTS`
    `static java.lang.String` | `DEFAULT_TYPE`
    `static java.lang.String` | `EXPLICIT_SSL` Explicit SSL FTP service.
    `static java.lang.String` | `FORCED_SSL` Forced explicit SSL FTP service.
    `static java.lang.String` | `IMPLICIT_SSL` implicit SSL FTP service.
    `static java.util.Map<java.lang.String,java.lang.Boolean>` | `KEY_USAGE`
    `static java.lang.String` | `REGULAR` Regular FTP service.
    `static java.lang.String[]` | `SUPPORTED_TYPES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FtpServiceDescriptor()` This constructor is used by serialization sub-system and is not intended to use directly in client code.
    `FtpServiceDescriptor(FtpServiceDescriptor that)` Copy constructor.
    `FtpServiceDescriptor(java.lang.String host, int port, java.lang.String type, java.lang.String keyAlias)` Creates a new descriptor instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `copy()`
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getHost()` Returns binding host/IP.
    `java.lang.String` | `getKeyAlias()` Returns SSL key alias.
    `int` | `getPort()` Returns binding port.
    `java.lang.String` | `getType()` Returns service type.
    `int` | `hashCode()`
    `void` | `setHost(java.lang.String value)` Sets binding host/IP.
    `void` | `setKeyAlias(java.lang.String value)` Sets SSL key alias.
    `void` | `setPort(int value)` Sets binding port.
    `void` | `setType(java.lang.String value)` Sets service type.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_PORT

          public static final int DEFAULT_PORT

      See Also:
        Constant Field Values

    - #### REGULAR

          public static final java.lang.String REGULAR

      Regular FTP service.
      See Also:
        Constant Field Values

    - #### EXPLICIT_SSL

          public static final java.lang.String EXPLICIT_SSL

      Explicit SSL FTP service.
      See Also:
        Constant Field Values

    - #### FORCED_SSL

          public static final java.lang.String FORCED_SSL

      Forced explicit SSL FTP service.
      See Also:
        Constant Field Values

    - #### IMPLICIT_SSL

          public static final java.lang.String IMPLICIT_SSL

      implicit SSL FTP service.
      See Also:
        Constant Field Values

    - #### DEFAULT_TYPE

          public static final java.lang.String DEFAULT_TYPE

      See Also:
        Constant Field Values

    - #### SUPPORTED_TYPES

          public static final java.lang.String[] SUPPORTED_TYPES

    - #### DEFAULT_PORTS

          public static final java.util.Map<java.lang.String,java.lang.Integer> DEFAULT_PORTS

    - #### KEY_USAGE

          public static final java.util.Map<java.lang.String,java.lang.Boolean> KEY_USAGE

  - ### Constructor Detail

    - #### FtpServiceDescriptor

          public FtpServiceDescriptor(java.lang.String host,
                                      int port,
                                      java.lang.String type,
                                      java.lang.String keyAlias)

      Creates a new descriptor instance.
      Parameters:
        `host` - binding host/IP
        `port` - binding port
        `type` - service type
        `keyAlias` - SSL key alias

    - #### FtpServiceDescriptor

          public FtpServiceDescriptor(FtpServiceDescriptor that)

      Copy constructor.
      Parameters:
        `that` - an instance to copy

    - #### FtpServiceDescriptor

          public FtpServiceDescriptor()

      This constructor is used by serialization sub-system and is not intended to use directly in client code.

  - ### Method Detail

    - #### getHost

          public java.lang.String getHost()

      Returns binding host/IP.
      Returns:
        binding host/IP

    - #### setHost

          public void setHost(java.lang.String value)

      Sets binding host/IP.
      Parameters:
        `value` - binding host/IP

    - #### getPort

          public int getPort()

      Returns binding port.
      Returns:
        binding port

    - #### setPort

          public void setPort(int value)

      Sets binding port.
      Parameters:
        `value` - binding port

    - #### getType

          public java.lang.String getType()

      Returns service type.
      Returns:
        service type

    - #### setType

          public void setType(java.lang.String value)

      Sets service type.
      Parameters:
        `value` - service type

    - #### getKeyAlias

          public java.lang.String getKeyAlias()

      Returns SSL key alias.
      Returns:
        SSL key alias

    - #### setKeyAlias

          public void setKeyAlias(java.lang.String value)

      Sets SSL key alias.
      Parameters:
        `value` - SSL key alias

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.